require 'spec_helper'

describe Shopicruit do 
	subject { Shopicruit.new }

	describe '.maxAmount and .leastCost' do
		let(:input) { 100 }

		it 'tests that the cost of leastCost method is smaller than that of maxAmount' do
			expect( Shopicruit.maxAmount(input, 'cost', ['Computer', 'Keyboard'])[1..-1].to_i ).to be >= ( Shopicruit.leastCost(input, 'cost', ['Computer', 'Keyboard'])[1..-1].to_i )
		end

		it 'tests that purchased weight does not exceed limit' do
			expect( Shopicruit.maxAmount(input, 'weight', ['Computer', 'Keyboard'])[0..-3].to_i ).to be <= input
			expect( Shopicruit.leastCost(input, 'weight', ['Computer', 'Keyboard'])[0..-3].to_i ).to be <= input
		end

		it 'tests that the purchased products are valid' do
			expect( Shopicruit.maxAmount(input, 'products', ['Computer', 'Keyboard']).length ).to be > 0
			expect( Shopicruit.leastCost(input, 'products', ['Computer', 'Keyboard']).length ).to be > 0
		end
	end
end